PETSc version 3.15.5
Fix/Edit manual page

# SNESFunction

Functional form used to convey the nonlinear function to be solved by SNES

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFunction(SNES snes,Vec x,Vec f,void *ctx);

Collective on snes

### Input Parameters

| snes | - the SNES context
| x | - state at which to evaluate residual
| ctx | - optional user-defined function context, passed in with SNESSetFunction()

### Output Parameter

| f | - vector to put residual (function value)

### See Also

SNESSetFunction(), SNESGetFunction()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages